Subject: Re: [PATCH] e1000e: fix warn_on reload after phy_id error

From: Jeff Garzik <[email-masked]>
Date: Tue, 11 Nov 2008 03:31:10 -0500

Jeff Kirsher wrote:
> If the driver fails to initialize the first time due to the failure in the
> phy_id check the kernel triggers a warn_on on the second try to load the
> driver because the driver did not free the msi/x resources in the first
> load because of the previous failure in phy_id check.

Is that all one sentence?  Can I buy a comma or semi-colon, Pat?  :)

More seriously, this description is not very helpful.  A good 
description precisely outlines the _solution_ ("fix msi/x resource 
leak"), perhaps with a bit of concise problem description ("failure to 
free msi/x resources").

Your description focuses mostly on what the user/tester experiences and 
observes, whereas in a changeset description the most important thing to 
communicate is to describe the engineering change to the driver (proper 
release of resources).

	Jeff